# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.64.0"
name = "b4s"
version = "0.3.3"
authors = ["Alex Povel <rust@alexpovel.de>"]
include = [
    "README.md",
    "LICENSE",
    "Cargo.toml",
    "Cargo.lock",
    "src",
    "benches/main.rs",
]
description = "Binary Search Single Sorted String: Perform binary search on a single, delimited string slice of sorted but unevenly sized substrings."
documentation = "https://docs.rs/b4s"
readme = "README.md"
keywords = [
    "search",
    "string",
    "str",
    "uneven",
]
categories = ["algorithms"]
license = "MIT"
repository = "https://github.com/alexpovel/b4s"

[[bench]]
name = "main"
harness = false

[dependencies.ascii]
version = "1.1.0"

[dependencies.itertools]
version = "0.11.0"

[dev-dependencies.criterion]
version = "0.5.1"
features = ["html_reports"]

[dev-dependencies.phf]
version = "0.11.1"
features = ["macros"]

[dev-dependencies.rstest]
version = "0.18.1"

[dev-dependencies.trie-rs]
version = "0.1.1"
